<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.xq.mapper.AuthOrderMapper">

    <resultMap type="com.ruoyi.xq.domain.AuthOrder" id="AuthOrderResult">
        <result property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="usercode" column="usercode"/>
        <result property="traceId" column="trace_id"/>
        <result property="body" column="body"/>
        <result property="authStatus" column="auth_status"/>
        <result property="orderName" column="order_name"/>
        <result property="orderNo" column="order_no"/>
        <result property="platformType" column="platform_type"/>
        <result property="payStatus" column="pay_status"/>
        <result property="payTime" column="pay_time"/>
        <result property="appid" column="appid"/>
        <result property="returnContent" column="return_content"/>
        <result property="operateIp" column="operate_ip"/>
        <result property="adminId" column="admin_id"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="pageAdmin" resultType="com.ruoyi.xq.dto.admin.authOrder.AuthOrderAdminVo">
        select t1.*, t2.nickname,t2.mobile,t2.avatar
        from xq_auth_order t1
        left join xq_user t2 on t1.user_id = t2.id
        <where>
            <if test="bo.usercode != null and bo.usercode != ''">
                and t1.usercode = #{bo.usercode}
            </if>
            <if test="bo.nickname != null and bo.nickname != ''">
                and t2.nickname like concat('%',#{bo.nickname},'%')
            </if>
            <if test="bo.mobile != null and bo.mobile != ''">
                and t2.mobile = #{bo.mobile}
            </if>
        </where>
        order by t1.create_time desc
    </select>


</mapper>
